/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomMediaList_H___INT_
#define __GdomMediaList_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "MediaList.h"
namespace WebCore {
    gpointer toGDOM(MediaList* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMMediaList : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_MEDIA_LIST; }
    GDOMMediaList(PassRefPtr<WebCore::MediaList> impl);
    virtual ~GDOMMediaList();
    WebCore::MediaList* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::MediaList> m_impl;
};
G_END_DECLS

#endif /* __GdomMediaList_H___INT_*/
